QoreExternalVariant Class Reference

external wrapper class for function and call variants More...

`#include <QoreReflection.h>`

Inheritance diagram for QoreExternalVariant:
[legend]

## Public Member Functions

DLLEXPORT const QoreClass * | getClass () const
| returns the class for a method variant or nullptr for a normal variant
DLLEXPORT int64 | getCodeFlags () const
| returns binary-or-combined code flags
DLLEXPORT const arg_vec_t & | getDefaultArgList () const
| returns a list of default arguments for the variant
DLLEXPORT int64 | getDomain () const
| returns the functional domain of the variant
DLLEXPORT const name_vec_t & | getParamNames () const
| returns a list of parameter names for the variant
DLLEXPORT const type_vec_t & | getParamTypeList () const
| returns the parameter types for the variant
DLLEXPORT const QoreTypeInfo * | getReturnTypeInfo () const
| returns the return type
DLLEXPORT const char * | getSignatureText () const
| returns the signature for the variant
DLLEXPORT const QoreExternalProgramLocation * | getSourceLocation () const
| returns the source location of the variant
DLLEXPORT bool | hasBody () const
| returns true if the variant has a function body
DLLEXPORT bool | isBuiltin () const
| returns true if the variant is builtin
DLLEXPORT bool | isModulePublic () const
| returns true if the variant has the module public flag set
DLLEXPORT bool | isSynchronized () const
| returns true if the variant has the synchronized flag set
DLLEXPORT unsigned | numParams () const
| returns the number of parameters

## Detailed Description

external wrapper class for function and call variants

Since
  Qore 0.9

The documentation for this class was generated from the following file:

- include/qore/QoreReflection.h